import request from '@/utils/request'

/**
 *  材料公共库
 */

// 获取公共库列表
export const getPubdatumList = (data) => {
    return request({
      url: `/sampleform/pubdatum/list`,
      method: "post",
      data,
    });
  };


//   删除公共库材料
export const delPubdatum = (params) => {
    return request({
        url: `/sampleform/pubdatum/delete`,
        method: "get",
        params,
    });
};

//   加入样表事项
export const createMatter = (params) => {
    return request({
      url: `/sampleform/matter/createMatter`,
      method: "get",
      params,
    });
  };

//   查询样表系统事项列表
export const getWriteMatterList = (data) => {
    return request({
      url: `/sampleform/pubdatum/list`,
      method: "post",
      data,
    });
  };

//   保存新增样表事项
export const addMatter = (data) => {
    return request({
      url: `/sampleform/matter/save`,
      method: "post",
      data,
    });
  };



//   推荐事项
export const recommendMatter = (params) => {
    return request({
      url: `/sampleform/matter/recommend`,
      method: "get",
      params,
    });
  };